%define rb_prefix	%{_prefix}
%define rb_mandir	/usr/share/man
%define rb_arch		%{_target_cpu}-%{_target_os}
%define rb_locallib	local/lib
%define rb_site		%{rb_locallib}/site_ruby

Summary: An interpreter of object-oriented scripting language
Name: ruby
Version: 1.8.1
Release: 1ih
License: distributable
Group: Development/Languages
URL: http://www.ruby-lang.org/
Source0: ftp://ftp.ruby-lang.org/pub/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: libruby ruby-libs ruby-devel ruby-openssl ruby-tcltk irb rdoc ruby-docs ruby-mode

%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text files
and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.

The package includes some changes (almost bugfixes) from 1.6.4. Each change
is listed in NEWS file.

%prep
%setup -q

%build
CFLAGS="${CFLAGS:-%{optflags}}" ./configure \
%ifarch i386
  --enable-frame-address \
%endif
  --prefix='%{rb_prefix}' \
  --mandir='%{rb_mandir}' \
  --sysconfdir='/etc' \
  --localstatedir='/var' \
  --with-sitedir='${prefix}/%{rb_site}' \
  --with-default-kcode=none \
  --with-dbm-type=db \
  --enable-shared \
  --enable-pthread \
  --enable-ipv6 \
  --with-lookup-order-hack=INET \
  --target='%{rb_arch}'
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
#install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README* COPYING ChangeLog LEGAL ToDo
%{_prefix}/bin/
%{_prefix}/lib/libruby*
%{_prefix}/lib/ruby/
%{_prefix}/%{rb_site}
%doc %{rb_mandir}


%changelog
* Mon Jan 19 2004 Itou Hiroki <hiroki@sm.sony.co.jp> my-1
- Initial build.


